package com.steering.pss.plnsaleord.stove.entity;

/**
 * 数据库表PLN_ORDER_DBK_S所对应的实体类（生成工具：代码生成器3.0）
 * 
 * @author PC-20180117CCCC date 2018-03-05
 */
@SuppressWarnings("serial")
public class PlnOrderDbkSEntity implements java.io.Serializable {
	/**
	 * 主镦拔扩合同编号
	 */
	private String proOrderNo = "";
	/**
	 * 镦拔扩订单编号
	 */
	private String proPlanId = "";
	/**
	 * 工序排产序号
	 */
	private String gxPlanNo = "";
	/**
	 * 主排产联动组号
	 */
	private String planGroupId = "";
	/**
	 * 主合同来源（销售合同、备料需求、补量需求）
	 */
	private String orderSource = "";
	/**
	 * 主交货编码PK
	 */
	private String ordLnDlyPk = "";
	/**
	 * 主排产流水号
	 */
	private String plnDivideId = "";
	/**
	 * 主合同号
	 */
	private String orderNo = "";
	/**
	 * 主合同行号
	 */
	private String orderSeq = "";
	/**
	 * 主交货编码
	 */
	private String deliveryNo = "";
	/**
	 * 主备料需求号
	 */
	private String reqBlId = "";
	/**
	 * 产线编码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 投入物料编码
	 */
	private String inwlId = "";
	/**
	 * 投入物料描述
	 */
	private String inwlDesc = "";
	/**
	 * 产出物料编码
	 */
	private String outwlId = "";
	/**
	 * 产出物料描述
	 */
	private String outwlDesc = "";
	/**
	 * 排产重量
	 */
	private String weigthS = "";
	/**
	 * 排产支数
	 */
	private String numS = "";
	/**
	 * 产线内生产顺序号
	 */
	private String gxProSeq = "";
	/**
	 * 计划耗时(分)
	 */
	private String planUsetime = "";
	/**
	 * 计划开始时间
	 */
	private String planTimeB = "";
	/**
	 * 计划结束时间
	 */
	private String planTimeE = "";
	/**
	 * 执行状态（0计划，1生产中，2完成，3关闭A）
	 */
	private String exeStatus = "";
	/**
	 * 是否检修计划
	 */
	private String isRepairPln = "";
	/**
	 * 检修类型
	 */
	private String repairType = "";
	/**
	 * 成品外径
	 */
	private String outdiameter = "";
	/**
	 * 成品壁厚
	 */
	private String wallthick = "";
	/**
	 * 合同长度描述
	 */
	private String lengthdisc = "";
	/**
	 * 工序目标外径
	 */
	private String aimoutdiameter = "";
	/**
	 * 工序目标壁厚
	 */
	private String aimwallthick = "";
	/**
	 * 工序目标长度
	 */
	private String aimlength = "";
	/**
	 * 原料管外径
	 */
	private String outdiameterIn = "";
	/**
	 * 原料管壁厚
	 */
	private String wallthickIn = "";
	/**
	 * 原料管长度
	 */
	private String lengthIn = "";
	/**
	 * 切头（mm）
	 */
	private String lenCuthead = "";
	/**
	 * 切尾（mm）
	 */
	private String lenCutend = "";
	/**
	 * 原料管最大长度
	 */
	private String lengthmaxIn = "";
	/**
	 * 原料管最小长度
	 */
	private String lengthminIn = "";
	/**
	 * 待投入重量
	 */
	private String inWeightS = "";
	/**
	 * 待投入支数
	 */
	private String inNumS = "";
	/**
	 * 加投重量
	 */
	private String addWtIn = "";
	/**
	 * 加投支数
	 */
	private String addNumIn = "";
	/**
	 * 投入利库重量
	 */
	private String matchWtIn = "";
	/**
	 * 投入利库支数
	 */
	private String matchNumIn = "";
	/**
	 * 是否末工序（末工序时成品属性有效）
	 */
	private String isendgx = "";
	/**
	 * 是否镦拔扩监制
	 */
	private String ifMonitorDbk = "";
	/**
	 * 监制编号
	 */
	private String prdcrNo = "";
	/**
	 * 本工序监制点
	 */
	private String monitorPoint = "";
	/**
	 * 成分标准索引号集合(内控)
	 */
	private String cic = "";
	/**
	 * 材质标准索引号集合(内控)
	 */
	private String pic = "";
	/**
	 * 公差标准索引号集合(内控)
	 */
	private String sic = "";
	/**
	 * 探伤索引号集合(内控)
	 */
	private String dic = "";
	/**
	 * 水压索引码集合(内控)
	 */
	private String wic = "";
	/**
	 * 加工标准索引号集合(内控)
	 */
	private String gic = "";
	/**
	 * 工艺文件号
	 */
	private String craftFileNo = "";
	/**
	 * 工艺文件责任人
	 */
	private String craftFileMan = "";
	/**
	 * 工艺序号
	 */
	private String craftSeq = "";
	/**
	 * 本工序点路径
	 */
	private String stationRoad = "";
	/**
	 * 虚拟挂料吨
	 */
	private String batchedWt = "";
	/**
	 * 虚拟挂料支
	 */
	private String batchedNum = "";
	/**
	 * 生产完成重量
	 */
	private String finishweight = "";
	/**
	 * 生产完成支数
	 */
	private String finishnum = "";
	/**
	 * 是否确认
	 */
	private String isPlanOk = "";
	/**
	 * 镦拔扩作业批次号
	 */
	private String zyBatchId = "";
	/**
	 * 钢种代码
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 生产年月
	 */
	private String proMonth = "";
	/**
	 * 前工序名
	 */
	private String previousGx = "";
	/**
	 * 前工序订单号
	 */
	private String prevGxplanId = "";
	/**
	 * 国内外
	 */
	private String ifExport = "";
	/**
	 * 创建时间
	 */
	private String createTime = "";
	/**
	 * 备注
	 */
	private String memo = "";
	/**
	 * 确认时间
	 */
	private String issuedTime = "";
	/**
	 * 确认人
	 */
	private String issuedMan = "";
	/**
	 * 最近取消确认时间
	 */
	private String lastUndownTime = "";
	/**
	 * 最近取消确认人
	 */
	private String lastUndownMan = "";
	/**
	 * 合同下发版次（年月日+3位流水）
	 */
	private String versionNo = "";
	/**
	 * 加工成本
	 */
	private String processingCost = "";
	/**
	 * 完全成本
	 */
	private String totalCost = "";
	/**
	 * 实际挂料吨
	 */
	private String realBatchWt = "";
	/**
	 * 实际挂料支
	 */
	private String realBatchNum = "";
	/**
	 * 炉计划是否下发
	 */
	private String ifStoveIssued = "";
	/**
	 * 炉计划下发时间
	 */
	private String stoveIssuedTime = "";
	/**
	 * 炉计划下发人
	 */
	private String stoveIssuedMan = "";
	/**
	 * 是否上料行
	 */
	private String isOnloadLine = "";
	/**
	 * 二级工序代码
	 */
	private String processCodeC = "";
	/**
	 * 二级工序名称
	 */
	private String processDescC = "";
	/**
	 * 主冶金规范码
	 */
	private String msc = "";
	/**
	 * 主制程索引号
	 */
	private String indexSeq = "";
	/**
	 * 主BOM
	 */
	private String bom = "";
	/**
	 * 主全程途径
	 */
	private String wholeBacklogDesc = "";
	/**
	 * 是否工艺变更锁定
	 */
	private String ifCraftLocked = "";
	/**
	 * 排产最小吨
	 */
	private String weigthSMin = "";
	/**
	 * 合同紧急度
	 */
	private String priority = "";
	/**
	 * 紧急度备注
	 */
	private String priorityMemo = "";
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag = "";

	/**
	 * 主镦拔扩合同编号
	 * 
	 * @return value
	 */
	public String getProOrderNo() {
		return proOrderNo;
	}

	/**
	 * 主镦拔扩合同编号
	 * 
	 * @param proOrderNo
	 *            value
	 */
	public void setProOrderNo(String proOrderNo) {
		this.proOrderNo = proOrderNo;
	}

	/**
	 * 镦拔扩订单编号
	 * 
	 * @return value
	 */
	public String getProPlanId() {
		return proPlanId;
	}

	/**
	 * 镦拔扩订单编号
	 * 
	 * @param proPlanId
	 *            value
	 */
	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	/**
	 * 工序排产序号
	 * 
	 * @return value
	 */
	public String getGxPlanNo() {
		return gxPlanNo;
	}

	/**
	 * 工序排产序号
	 * 
	 * @param gxPlanNo
	 *            value
	 */
	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	/**
	 * 主排产联动组号
	 * 
	 * @return value
	 */
	public String getPlanGroupId() {
		return planGroupId;
	}

	/**
	 * 主排产联动组号
	 * 
	 * @param planGroupId
	 *            value
	 */
	public void setPlanGroupId(String planGroupId) {
		this.planGroupId = planGroupId;
	}

	/**
	 * 主合同来源（销售合同、备料需求、补量需求）
	 * 
	 * @return value
	 */
	public String getOrderSource() {
		return orderSource;
	}

	/**
	 * 主合同来源（销售合同、备料需求、补量需求）
	 * 
	 * @param orderSource
	 *            value
	 */
	public void setOrderSource(String orderSource) {
		this.orderSource = orderSource;
	}

	/**
	 * 主交货编码PK
	 * 
	 * @return value
	 */
	public String getOrdLnDlyPk() {
		return ordLnDlyPk;
	}

	/**
	 * 主交货编码PK
	 * 
	 * @param ordLnDlyPk
	 *            value
	 */
	public void setOrdLnDlyPk(String ordLnDlyPk) {
		this.ordLnDlyPk = ordLnDlyPk;
	}

	/**
	 * 主排产流水号
	 * 
	 * @return value
	 */
	public String getPlnDivideId() {
		return plnDivideId;
	}

	/**
	 * 主排产流水号
	 * 
	 * @param plnDivideId
	 *            value
	 */
	public void setPlnDivideId(String plnDivideId) {
		this.plnDivideId = plnDivideId;
	}

	/**
	 * 主合同号
	 * 
	 * @return value
	 */
	public String getOrderNo() {
		return orderNo;
	}

	/**
	 * 主合同号
	 * 
	 * @param orderNo
	 *            value
	 */
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	/**
	 * 主合同行号
	 * 
	 * @return value
	 */
	public String getOrderSeq() {
		return orderSeq;
	}

	/**
	 * 主合同行号
	 * 
	 * @param orderSeq
	 *            value
	 */
	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}

	/**
	 * 主交货编码
	 * 
	 * @return value
	 */
	public String getDeliveryNo() {
		return deliveryNo;
	}

	/**
	 * 主交货编码
	 * 
	 * @param deliveryNo
	 *            value
	 */
	public void setDeliveryNo(String deliveryNo) {
		this.deliveryNo = deliveryNo;
	}

	/**
	 * 主备料需求号
	 * 
	 * @return value
	 */
	public String getReqBlId() {
		return reqBlId;
	}

	/**
	 * 主备料需求号
	 * 
	 * @param reqBlId
	 *            value
	 */
	public void setReqBlId(String reqBlId) {
		this.reqBlId = reqBlId;
	}

	/**
	 * 产线编码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线编码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 投入物料编码
	 * 
	 * @return value
	 */
	public String getInwlId() {
		return inwlId;
	}

	/**
	 * 投入物料编码
	 * 
	 * @param inwlId
	 *            value
	 */
	public void setInwlId(String inwlId) {
		this.inwlId = inwlId;
	}

	/**
	 * 投入物料描述
	 * 
	 * @return value
	 */
	public String getInwlDesc() {
		return inwlDesc;
	}

	/**
	 * 投入物料描述
	 * 
	 * @param inwlDesc
	 *            value
	 */
	public void setInwlDesc(String inwlDesc) {
		this.inwlDesc = inwlDesc;
	}

	/**
	 * 产出物料编码
	 * 
	 * @return value
	 */
	public String getOutwlId() {
		return outwlId;
	}

	/**
	 * 产出物料编码
	 * 
	 * @param outwlId
	 *            value
	 */
	public void setOutwlId(String outwlId) {
		this.outwlId = outwlId;
	}

	/**
	 * 产出物料描述
	 * 
	 * @return value
	 */
	public String getOutwlDesc() {
		return outwlDesc;
	}

	/**
	 * 产出物料描述
	 * 
	 * @param outwlDesc
	 *            value
	 */
	public void setOutwlDesc(String outwlDesc) {
		this.outwlDesc = outwlDesc;
	}

	/**
	 * 排产重量
	 * 
	 * @return value
	 */
	public String getWeigthS() {
		return weigthS;
	}

	/**
	 * 排产重量
	 * 
	 * @param weigthS
	 *            value
	 */
	public void setWeigthS(String weigthS) {
		this.weigthS = weigthS;
	}

	/**
	 * 排产支数
	 * 
	 * @return value
	 */
	public String getNumS() {
		return numS;
	}

	/**
	 * 排产支数
	 * 
	 * @param numS
	 *            value
	 */
	public void setNumS(String numS) {
		this.numS = numS;
	}

	/**
	 * 产线内生产顺序号
	 * 
	 * @return value
	 */
	public String getGxProSeq() {
		return gxProSeq;
	}

	/**
	 * 产线内生产顺序号
	 * 
	 * @param gxProSeq
	 *            value
	 */
	public void setGxProSeq(String gxProSeq) {
		this.gxProSeq = gxProSeq;
	}

	/**
	 * 计划耗时(分)
	 * 
	 * @return value
	 */
	public String getPlanUsetime() {
		return planUsetime;
	}

	/**
	 * 计划耗时(分)
	 * 
	 * @param planUsetime
	 *            value
	 */
	public void setPlanUsetime(String planUsetime) {
		this.planUsetime = planUsetime;
	}

	/**
	 * 计划开始时间
	 * 
	 * @return value
	 */
	public String getPlanTimeB() {
		return planTimeB;
	}

	/**
	 * 计划开始时间
	 * 
	 * @param planTimeB
	 *            value
	 */
	public void setPlanTimeB(String planTimeB) {
		this.planTimeB = planTimeB;
	}

	/**
	 * 计划结束时间
	 * 
	 * @return value
	 */
	public String getPlanTimeE() {
		return planTimeE;
	}

	/**
	 * 计划结束时间
	 * 
	 * @param planTimeE
	 *            value
	 */
	public void setPlanTimeE(String planTimeE) {
		this.planTimeE = planTimeE;
	}

	/**
	 * 执行状态（0计划，1生产中，2完成，3关闭A）
	 * 
	 * @return value
	 */
	public String getExeStatus() {
		return exeStatus;
	}

	/**
	 * 执行状态（0计划，1生产中，2完成，3关闭A）
	 * 
	 * @param exeStatus
	 *            value
	 */
	public void setExeStatus(String exeStatus) {
		this.exeStatus = exeStatus;
	}

	/**
	 * 是否检修计划
	 * 
	 * @return value
	 */
	public String getIsRepairPln() {
		return isRepairPln;
	}

	/**
	 * 是否检修计划
	 * 
	 * @param isRepairPln
	 *            value
	 */
	public void setIsRepairPln(String isRepairPln) {
		this.isRepairPln = isRepairPln;
	}

	/**
	 * 检修类型
	 * 
	 * @return value
	 */
	public String getRepairType() {
		return repairType;
	}

	/**
	 * 检修类型
	 * 
	 * @param repairType
	 *            value
	 */
	public void setRepairType(String repairType) {
		this.repairType = repairType;
	}

	/**
	 * 成品外径
	 * 
	 * @return value
	 */
	public String getOutdiameter() {
		return outdiameter;
	}

	/**
	 * 成品外径
	 * 
	 * @param outdiameter
	 *            value
	 */
	public void setOutdiameter(String outdiameter) {
		this.outdiameter = outdiameter;
	}

	/**
	 * 成品壁厚
	 * 
	 * @return value
	 */
	public String getWallthick() {
		return wallthick;
	}

	/**
	 * 成品壁厚
	 * 
	 * @param wallthick
	 *            value
	 */
	public void setWallthick(String wallthick) {
		this.wallthick = wallthick;
	}

	/**
	 * 合同长度描述
	 * 
	 * @return value
	 */
	public String getLengthdisc() {
		return lengthdisc;
	}

	/**
	 * 合同长度描述
	 * 
	 * @param lengthdisc
	 *            value
	 */
	public void setLengthdisc(String lengthdisc) {
		this.lengthdisc = lengthdisc;
	}

	/**
	 * 工序目标外径
	 * 
	 * @return value
	 */
	public String getAimoutdiameter() {
		return aimoutdiameter;
	}

	/**
	 * 工序目标外径
	 * 
	 * @param aimoutdiameter
	 *            value
	 */
	public void setAimoutdiameter(String aimoutdiameter) {
		this.aimoutdiameter = aimoutdiameter;
	}

	/**
	 * 工序目标壁厚
	 * 
	 * @return value
	 */
	public String getAimwallthick() {
		return aimwallthick;
	}

	/**
	 * 工序目标壁厚
	 * 
	 * @param aimwallthick
	 *            value
	 */
	public void setAimwallthick(String aimwallthick) {
		this.aimwallthick = aimwallthick;
	}

	/**
	 * 工序目标长度
	 * 
	 * @return value
	 */
	public String getAimlength() {
		return aimlength;
	}

	/**
	 * 工序目标长度
	 * 
	 * @param aimlength
	 *            value
	 */
	public void setAimlength(String aimlength) {
		this.aimlength = aimlength;
	}

	/**
	 * 原料管外径
	 * 
	 * @return value
	 */
	public String getOutdiameterIn() {
		return outdiameterIn;
	}

	/**
	 * 原料管外径
	 * 
	 * @param outdiameterIn
	 *            value
	 */
	public void setOutdiameterIn(String outdiameterIn) {
		this.outdiameterIn = outdiameterIn;
	}

	/**
	 * 原料管壁厚
	 * 
	 * @return value
	 */
	public String getWallthickIn() {
		return wallthickIn;
	}

	/**
	 * 原料管壁厚
	 * 
	 * @param wallthickIn
	 *            value
	 */
	public void setWallthickIn(String wallthickIn) {
		this.wallthickIn = wallthickIn;
	}

	/**
	 * 原料管长度
	 * 
	 * @return value
	 */
	public String getLengthIn() {
		return lengthIn;
	}

	/**
	 * 原料管长度
	 * 
	 * @param lengthIn
	 *            value
	 */
	public void setLengthIn(String lengthIn) {
		this.lengthIn = lengthIn;
	}

	/**
	 * 切头（mm）
	 * 
	 * @return value
	 */
	public String getLenCuthead() {
		return lenCuthead;
	}

	/**
	 * 切头（mm）
	 * 
	 * @param lenCuthead
	 *            value
	 */
	public void setLenCuthead(String lenCuthead) {
		this.lenCuthead = lenCuthead;
	}

	/**
	 * 切尾（mm）
	 * 
	 * @return value
	 */
	public String getLenCutend() {
		return lenCutend;
	}

	/**
	 * 切尾（mm）
	 * 
	 * @param lenCutend
	 *            value
	 */
	public void setLenCutend(String lenCutend) {
		this.lenCutend = lenCutend;
	}

	/**
	 * 原料管最大长度
	 * 
	 * @return value
	 */
	public String getLengthmaxIn() {
		return lengthmaxIn;
	}

	/**
	 * 原料管最大长度
	 * 
	 * @param lengthmaxIn
	 *            value
	 */
	public void setLengthmaxIn(String lengthmaxIn) {
		this.lengthmaxIn = lengthmaxIn;
	}

	/**
	 * 原料管最小长度
	 * 
	 * @return value
	 */
	public String getLengthminIn() {
		return lengthminIn;
	}

	/**
	 * 原料管最小长度
	 * 
	 * @param lengthminIn
	 *            value
	 */
	public void setLengthminIn(String lengthminIn) {
		this.lengthminIn = lengthminIn;
	}

	/**
	 * 待投入重量
	 * 
	 * @return value
	 */
	public String getInWeightS() {
		return inWeightS;
	}

	/**
	 * 待投入重量
	 * 
	 * @param inWeightS
	 *            value
	 */
	public void setInWeightS(String inWeightS) {
		this.inWeightS = inWeightS;
	}

	/**
	 * 待投入支数
	 * 
	 * @return value
	 */
	public String getInNumS() {
		return inNumS;
	}

	/**
	 * 待投入支数
	 * 
	 * @param inNumS
	 *            value
	 */
	public void setInNumS(String inNumS) {
		this.inNumS = inNumS;
	}

	/**
	 * 加投重量
	 * 
	 * @return value
	 */
	public String getAddWtIn() {
		return addWtIn;
	}

	/**
	 * 加投重量
	 * 
	 * @param addWtIn
	 *            value
	 */
	public void setAddWtIn(String addWtIn) {
		this.addWtIn = addWtIn;
	}

	/**
	 * 加投支数
	 * 
	 * @return value
	 */
	public String getAddNumIn() {
		return addNumIn;
	}

	/**
	 * 加投支数
	 * 
	 * @param addNumIn
	 *            value
	 */
	public void setAddNumIn(String addNumIn) {
		this.addNumIn = addNumIn;
	}

	/**
	 * 投入利库重量
	 * 
	 * @return value
	 */
	public String getMatchWtIn() {
		return matchWtIn;
	}

	/**
	 * 投入利库重量
	 * 
	 * @param matchWtIn
	 *            value
	 */
	public void setMatchWtIn(String matchWtIn) {
		this.matchWtIn = matchWtIn;
	}

	/**
	 * 投入利库支数
	 * 
	 * @return value
	 */
	public String getMatchNumIn() {
		return matchNumIn;
	}

	/**
	 * 投入利库支数
	 * 
	 * @param matchNumIn
	 *            value
	 */
	public void setMatchNumIn(String matchNumIn) {
		this.matchNumIn = matchNumIn;
	}

	/**
	 * 是否末工序（末工序时成品属性有效）
	 * 
	 * @return value
	 */
	public String getIsendgx() {
		return isendgx;
	}

	/**
	 * 是否末工序（末工序时成品属性有效）
	 * 
	 * @param isendgx
	 *            value
	 */
	public void setIsendgx(String isendgx) {
		this.isendgx = isendgx;
	}

	/**
	 * 是否镦拔扩监制
	 * 
	 * @return value
	 */
	public String getIfMonitorDbk() {
		return ifMonitorDbk;
	}

	/**
	 * 是否镦拔扩监制
	 * 
	 * @param ifMonitorDbk
	 *            value
	 */
	public void setIfMonitorDbk(String ifMonitorDbk) {
		this.ifMonitorDbk = ifMonitorDbk;
	}

	/**
	 * 监制编号
	 * 
	 * @return value
	 */
	public String getPrdcrNo() {
		return prdcrNo;
	}

	/**
	 * 监制编号
	 * 
	 * @param prdcrNo
	 *            value
	 */
	public void setPrdcrNo(String prdcrNo) {
		this.prdcrNo = prdcrNo;
	}

	/**
	 * 本工序监制点
	 * 
	 * @return value
	 */
	public String getMonitorPoint() {
		return monitorPoint;
	}

	/**
	 * 本工序监制点
	 * 
	 * @param monitorPoint
	 *            value
	 */
	public void setMonitorPoint(String monitorPoint) {
		this.monitorPoint = monitorPoint;
	}

	/**
	 * 成分标准索引号集合(内控)
	 * 
	 * @return value
	 */
	public String getCic() {
		return cic;
	}

	/**
	 * 成分标准索引号集合(内控)
	 * 
	 * @param cic
	 *            value
	 */
	public void setCic(String cic) {
		this.cic = cic;
	}

	/**
	 * 材质标准索引号集合(内控)
	 * 
	 * @return value
	 */
	public String getPic() {
		return pic;
	}

	/**
	 * 材质标准索引号集合(内控)
	 * 
	 * @param pic
	 *            value
	 */
	public void setPic(String pic) {
		this.pic = pic;
	}

	/**
	 * 公差标准索引号集合(内控)
	 * 
	 * @return value
	 */
	public String getSic() {
		return sic;
	}

	/**
	 * 公差标准索引号集合(内控)
	 * 
	 * @param sic
	 *            value
	 */
	public void setSic(String sic) {
		this.sic = sic;
	}

	/**
	 * 探伤索引号集合(内控)
	 * 
	 * @return value
	 */
	public String getDic() {
		return dic;
	}

	/**
	 * 探伤索引号集合(内控)
	 * 
	 * @param dic
	 *            value
	 */
	public void setDic(String dic) {
		this.dic = dic;
	}

	/**
	 * 水压索引码集合(内控)
	 * 
	 * @return value
	 */
	public String getWic() {
		return wic;
	}

	/**
	 * 水压索引码集合(内控)
	 * 
	 * @param wic
	 *            value
	 */
	public void setWic(String wic) {
		this.wic = wic;
	}

	/**
	 * 加工标准索引号集合(内控)
	 * 
	 * @return value
	 */
	public String getGic() {
		return gic;
	}

	/**
	 * 加工标准索引号集合(内控)
	 * 
	 * @param gic
	 *            value
	 */
	public void setGic(String gic) {
		this.gic = gic;
	}

	/**
	 * 工艺文件号
	 * 
	 * @return value
	 */
	public String getCraftFileNo() {
		return craftFileNo;
	}

	/**
	 * 工艺文件号
	 * 
	 * @param craftFileNo
	 *            value
	 */
	public void setCraftFileNo(String craftFileNo) {
		this.craftFileNo = craftFileNo;
	}

	/**
	 * 工艺文件责任人
	 * 
	 * @return value
	 */
	public String getCraftFileMan() {
		return craftFileMan;
	}

	/**
	 * 工艺文件责任人
	 * 
	 * @param craftFileMan
	 *            value
	 */
	public void setCraftFileMan(String craftFileMan) {
		this.craftFileMan = craftFileMan;
	}

	/**
	 * 工艺序号
	 * 
	 * @return value
	 */
	public String getCraftSeq() {
		return craftSeq;
	}

	/**
	 * 工艺序号
	 * 
	 * @param craftSeq
	 *            value
	 */
	public void setCraftSeq(String craftSeq) {
		this.craftSeq = craftSeq;
	}

	/**
	 * 本工序点路径
	 * 
	 * @return value
	 */
	public String getStationRoad() {
		return stationRoad;
	}

	/**
	 * 本工序点路径
	 * 
	 * @param stationRoad
	 *            value
	 */
	public void setStationRoad(String stationRoad) {
		this.stationRoad = stationRoad;
	}

	/**
	 * 虚拟挂料吨
	 * 
	 * @return value
	 */
	public String getBatchedWt() {
		return batchedWt;
	}

	/**
	 * 虚拟挂料吨
	 * 
	 * @param batchedWt
	 *            value
	 */
	public void setBatchedWt(String batchedWt) {
		this.batchedWt = batchedWt;
	}

	/**
	 * 虚拟挂料支
	 * 
	 * @return value
	 */
	public String getBatchedNum() {
		return batchedNum;
	}

	/**
	 * 虚拟挂料支
	 * 
	 * @param batchedNum
	 *            value
	 */
	public void setBatchedNum(String batchedNum) {
		this.batchedNum = batchedNum;
	}

	/**
	 * 生产完成重量
	 * 
	 * @return value
	 */
	public String getFinishweight() {
		return finishweight;
	}

	/**
	 * 生产完成重量
	 * 
	 * @param finishweight
	 *            value
	 */
	public void setFinishweight(String finishweight) {
		this.finishweight = finishweight;
	}

	/**
	 * 生产完成支数
	 * 
	 * @return value
	 */
	public String getFinishnum() {
		return finishnum;
	}

	/**
	 * 生产完成支数
	 * 
	 * @param finishnum
	 *            value
	 */
	public void setFinishnum(String finishnum) {
		this.finishnum = finishnum;
	}

	/**
	 * 是否确认
	 * 
	 * @return value
	 */
	public String getIsPlanOk() {
		return isPlanOk;
	}

	/**
	 * 是否确认
	 * 
	 * @param isPlanOk
	 *            value
	 */
	public void setIsPlanOk(String isPlanOk) {
		this.isPlanOk = isPlanOk;
	}

	/**
	 * 镦拔扩作业批次号
	 * 
	 * @return value
	 */
	public String getZyBatchId() {
		return zyBatchId;
	}

	/**
	 * 镦拔扩作业批次号
	 * 
	 * @param zyBatchId
	 *            value
	 */
	public void setZyBatchId(String zyBatchId) {
		this.zyBatchId = zyBatchId;
	}

	/**
	 * 钢种代码
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 生产年月
	 * 
	 * @return value
	 */
	public String getProMonth() {
		return proMonth;
	}

	/**
	 * 生产年月
	 * 
	 * @param proMonth
	 *            value
	 */
	public void setProMonth(String proMonth) {
		this.proMonth = proMonth;
	}

	/**
	 * 前工序名
	 * 
	 * @return value
	 */
	public String getPreviousGx() {
		return previousGx;
	}

	/**
	 * 前工序名
	 * 
	 * @param previousGx
	 *            value
	 */
	public void setPreviousGx(String previousGx) {
		this.previousGx = previousGx;
	}

	/**
	 * 前工序订单号
	 * 
	 * @return value
	 */
	public String getPrevGxplanId() {
		return prevGxplanId;
	}

	/**
	 * 前工序订单号
	 * 
	 * @param prevGxplanId
	 *            value
	 */
	public void setPrevGxplanId(String prevGxplanId) {
		this.prevGxplanId = prevGxplanId;
	}

	/**
	 * 国内外
	 * 
	 * @return value
	 */
	public String getIfExport() {
		return ifExport;
	}

	/**
	 * 国内外
	 * 
	 * @param ifExport
	 *            value
	 */
	public void setIfExport(String ifExport) {
		this.ifExport = ifExport;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 确认时间
	 * 
	 * @return value
	 */
	public String getIssuedTime() {
		return issuedTime;
	}

	/**
	 * 确认时间
	 * 
	 * @param issuedTime
	 *            value
	 */
	public void setIssuedTime(String issuedTime) {
		this.issuedTime = issuedTime;
	}

	/**
	 * 确认人
	 * 
	 * @return value
	 */
	public String getIssuedMan() {
		return issuedMan;
	}

	/**
	 * 确认人
	 * 
	 * @param issuedMan
	 *            value
	 */
	public void setIssuedMan(String issuedMan) {
		this.issuedMan = issuedMan;
	}

	/**
	 * 最近取消确认时间
	 * 
	 * @return value
	 */
	public String getLastUndownTime() {
		return lastUndownTime;
	}

	/**
	 * 最近取消确认时间
	 * 
	 * @param lastUndownTime
	 *            value
	 */
	public void setLastUndownTime(String lastUndownTime) {
		this.lastUndownTime = lastUndownTime;
	}

	/**
	 * 最近取消确认人
	 * 
	 * @return value
	 */
	public String getLastUndownMan() {
		return lastUndownMan;
	}

	/**
	 * 最近取消确认人
	 * 
	 * @param lastUndownMan
	 *            value
	 */
	public void setLastUndownMan(String lastUndownMan) {
		this.lastUndownMan = lastUndownMan;
	}

	/**
	 * 合同下发版次（年月日+3位流水）
	 * 
	 * @return value
	 */
	public String getVersionNo() {
		return versionNo;
	}

	/**
	 * 合同下发版次（年月日+3位流水）
	 * 
	 * @param versionNo
	 *            value
	 */
	public void setVersionNo(String versionNo) {
		this.versionNo = versionNo;
	}

	/**
	 * 加工成本
	 * 
	 * @return value
	 */
	public String getProcessingCost() {
		return processingCost;
	}

	/**
	 * 加工成本
	 * 
	 * @param processingCost
	 *            value
	 */
	public void setProcessingCost(String processingCost) {
		this.processingCost = processingCost;
	}

	/**
	 * 完全成本
	 * 
	 * @return value
	 */
	public String getTotalCost() {
		return totalCost;
	}

	/**
	 * 完全成本
	 * 
	 * @param totalCost
	 *            value
	 */
	public void setTotalCost(String totalCost) {
		this.totalCost = totalCost;
	}

	/**
	 * 实际挂料吨
	 * 
	 * @return value
	 */
	public String getRealBatchWt() {
		return realBatchWt;
	}

	/**
	 * 实际挂料吨
	 * 
	 * @param realBatchWt
	 *            value
	 */
	public void setRealBatchWt(String realBatchWt) {
		this.realBatchWt = realBatchWt;
	}

	/**
	 * 实际挂料支
	 * 
	 * @return value
	 */
	public String getRealBatchNum() {
		return realBatchNum;
	}

	/**
	 * 实际挂料支
	 * 
	 * @param realBatchNum
	 *            value
	 */
	public void setRealBatchNum(String realBatchNum) {
		this.realBatchNum = realBatchNum;
	}

	/**
	 * 炉计划是否下发
	 * 
	 * @return value
	 */
	public String getIfStoveIssued() {
		return ifStoveIssued;
	}

	/**
	 * 炉计划是否下发
	 * 
	 * @param ifStoveIssued
	 *            value
	 */
	public void setIfStoveIssued(String ifStoveIssued) {
		this.ifStoveIssued = ifStoveIssued;
	}

	/**
	 * 炉计划下发时间
	 * 
	 * @return value
	 */
	public String getStoveIssuedTime() {
		return stoveIssuedTime;
	}

	/**
	 * 炉计划下发时间
	 * 
	 * @param stoveIssuedTime
	 *            value
	 */
	public void setStoveIssuedTime(String stoveIssuedTime) {
		this.stoveIssuedTime = stoveIssuedTime;
	}

	/**
	 * 炉计划下发人
	 * 
	 * @return value
	 */
	public String getStoveIssuedMan() {
		return stoveIssuedMan;
	}

	/**
	 * 炉计划下发人
	 * 
	 * @param stoveIssuedMan
	 *            value
	 */
	public void setStoveIssuedMan(String stoveIssuedMan) {
		this.stoveIssuedMan = stoveIssuedMan;
	}

	/**
	 * 是否上料行
	 * 
	 * @return value
	 */
	public String getIsOnloadLine() {
		return isOnloadLine;
	}

	/**
	 * 是否上料行
	 * 
	 * @param isOnloadLine
	 *            value
	 */
	public void setIsOnloadLine(String isOnloadLine) {
		this.isOnloadLine = isOnloadLine;
	}

	/**
	 * 二级工序代码
	 * 
	 * @return value
	 */
	public String getProcessCodeC() {
		return processCodeC;
	}

	/**
	 * 二级工序代码
	 * 
	 * @param processCodeC
	 *            value
	 */
	public void setProcessCodeC(String processCodeC) {
		this.processCodeC = processCodeC;
	}

	/**
	 * 二级工序名称
	 * 
	 * @return value
	 */
	public String getProcessDescC() {
		return processDescC;
	}

	/**
	 * 二级工序名称
	 * 
	 * @param processDescC
	 *            value
	 */
	public void setProcessDescC(String processDescC) {
		this.processDescC = processDescC;
	}

	/**
	 * 主冶金规范码
	 * 
	 * @return value
	 */
	public String getMsc() {
		return msc;
	}

	/**
	 * 主冶金规范码
	 * 
	 * @param msc
	 *            value
	 */
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/**
	 * 主制程索引号
	 * 
	 * @return value
	 */
	public String getIndexSeq() {
		return indexSeq;
	}

	/**
	 * 主制程索引号
	 * 
	 * @param indexSeq
	 *            value
	 */
	public void setIndexSeq(String indexSeq) {
		this.indexSeq = indexSeq;
	}

	/**
	 * 主BOM
	 * 
	 * @return value
	 */
	public String getBom() {
		return bom;
	}

	/**
	 * 主BOM
	 * 
	 * @param bom
	 *            value
	 */
	public void setBom(String bom) {
		this.bom = bom;
	}

	/**
	 * 主全程途径
	 * 
	 * @return value
	 */
	public String getWholeBacklogDesc() {
		return wholeBacklogDesc;
	}

	/**
	 * 主全程途径
	 * 
	 * @param wholeBacklogDesc
	 *            value
	 */
	public void setWholeBacklogDesc(String wholeBacklogDesc) {
		this.wholeBacklogDesc = wholeBacklogDesc;
	}

	/**
	 * 是否工艺变更锁定
	 * 
	 * @return value
	 */
	public String getIfCraftLocked() {
		return ifCraftLocked;
	}

	/**
	 * 是否工艺变更锁定
	 * 
	 * @param ifCraftLocked
	 *            value
	 */
	public void setIfCraftLocked(String ifCraftLocked) {
		this.ifCraftLocked = ifCraftLocked;
	}

	/**
	 * 排产最小吨
	 * 
	 * @return value
	 */
	public String getWeigthSMin() {
		return weigthSMin;
	}

	/**
	 * 排产最小吨
	 * 
	 * @param weigthSMin
	 *            value
	 */
	public void setWeigthSMin(String weigthSMin) {
		this.weigthSMin = weigthSMin;
	}

	/**
	 * 合同紧急度
	 * 
	 * @return value
	 */
	public String getPriority() {
		return priority;
	}

	/**
	 * 合同紧急度
	 * 
	 * @param priority
	 *            value
	 */
	public void setPriority(String priority) {
		this.priority = priority;
	}

	/**
	 * 紧急度备注
	 * 
	 * @return value
	 */
	public String getPriorityMemo() {
		return priorityMemo;
	}

	/**
	 * 紧急度备注
	 * 
	 * @param priorityMemo
	 *            value
	 */
	public void setPriorityMemo(String priorityMemo) {
		this.priorityMemo = priorityMemo;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	private String decision = "";

	/**
	 * 判定字头
	 */
	public String getDecision() {
		return decision;
	}

	/**
	 * 判定字头
	 */
	public void setDecision(String decision) {
		this.decision = decision;
	}

	private String specCode = "";

	/**
	 * 产出规格代码
	 * 
	 * @return
	 */
	public String getSpecCode() {
		return specCode;
	}

	/**
	 * 产出规格代码
	 * 
	 * @return
	 */
	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	private String specName = "";

	/**
	 * 产出规格
	 * 
	 * @return
	 */
	public String getSpecName() {
		return specName;
	}

	/**
	 * 产出规格
	 * 
	 * @return
	 */
	public void setSpecName(String specName) {
		this.specName = specName;
	}

	private String finalUserDesc = "";

	/**
	 * 最终用户
	 */
	public String getFinalUserDesc() {
		return finalUserDesc;
	}

	/**
	 * 最终用户
	 */
	public void setFinalUserDesc(String finalUserDesc) {
		this.finalUserDesc = finalUserDesc;
	}

	private String passCode = "";
	private String passName = "";

	/**
	 * 孔型代码
	 */
	public String getPassCode() {
		return passCode;
	}

	/**
	 * 孔型代码
	 */
	public void setPassCode(String passCode) {
		this.passCode = passCode;
	}

	/**
	 * 孔型描述
	 */
	public String getPassName() {
		return passName;
	}

	/**
	 * 孔型描述
	 */
	public void setPassName(String passName) {
		this.passName = passName;
	}

	private String stdStyleDesc = "";
	private String stdCode = "";
	private String stdName = "";
	private String stdStyle = "";

	public String getStdStyle() {
		return stdStyle;
	}

	public void setStdStyle(String stdStyle) {
		this.stdStyle = stdStyle;
	}

	/**
	 * 标准类别描述
	 * 
	 * @return
	 */
	public String getStdStyleDesc() {
		return stdStyleDesc;
	}

	/**
	 * 标准类别描述
	 * 
	 * @return
	 */
	public void setStdStyleDesc(String stdStyleDesc) {
		this.stdStyleDesc = stdStyleDesc;
	}

	/**
	 * 标准类别代码
	 * 
	 * @return
	 */
	public String getStdCode() {
		return stdCode;
	}

	/**
	 * 标准类别代码
	 * 
	 * @return
	 */
	public void setStdCode(String stdCode) {
		this.stdCode = stdCode;
	}

	/**
	 * 标准类别
	 * 
	 * @return
	 */
	public String getStdName() {
		return stdName;
	}

	/**
	 * 标准类别
	 * 
	 * @return
	 */
	public void setStdName(String stdName) {
		this.stdName = stdName;
	}

	/**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 扣型代码
     */
    private String modelCode = "";
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

}